-- 基础信息
base_info = {
	group_id = 247001026
}

-- DEFS_MISCS
local GroupId = 247001026
local point_id_list = {}
local MainGroupID = 247001001
local RegionID = 26001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 26001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.040, y = -0.608, z = 240.033 } }
}

-- 触发器
triggers = {
	{ config_id = 1026001, name = "ENTER_REGION_26001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 26002, pos = { x = -3.974, y = -0.551, z = 253.145 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 26003, pos = { x = 4.110, y = -0.553, z = 253.091 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 26004, pos = { x = 0.005, y = -0.557, z = 254.036 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 26005, pos = { x = -7.152, y = -0.537, z = 251.930 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 26006, pos = { x = 7.069, y = -0.543, z = 251.489 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 26007, pos = { x = -8.371, y = -0.553, z = 249.208 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 26008, pos = { x = 8.737, y = -0.548, z = 249.224 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 26009, pos = { x = -8.623, y = -0.558, z = 245.502 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 26010, pos = { x = 8.838, y = -0.550, z = 245.518 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 26011, pos = { x = 0.039, y = -0.543, z = 251.136 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 26012, pos = { x = -5.746, y = -0.532, z = 250.204 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 26013, pos = { x = 5.731, y = -0.558, z = 250.169 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 26014, pos = { x = -8.690, y = -0.550, z = 245.525 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 26015, pos = { x = 8.861, y = -0.552, z = 245.530 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 26016, pos = { x = -8.675, y = -0.556, z = 240.640 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 26017, pos = { x = 8.767, y = -0.557, z = 240.695 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 26018, pos = { x = -5.697, y = -0.558, z = 235.973 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 26019, pos = { x = 5.660, y = -0.558, z = 235.888 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 26020, pos = { x = -0.059, y = -0.558, z = 235.093 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 26021, pos = { x = -7.175, y = -0.516, z = 247.925 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 26022, pos = { x = 7.105, y = -0.541, z = 247.928 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 26023, pos = { x = -7.172, y = -0.558, z = 233.574 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 26024, pos = { x = 7.028, y = -0.558, z = 233.652 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 26025, pos = { x = 0.130, y = -0.541, z = 248.174 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 26026, pos = { x = -0.068, y = -0.558, z = 233.417 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 26027, pos = { x = -8.150, y = -0.557, z = 240.747 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 26028, pos = { x = 8.226, y = -0.555, z = 240.712 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 26029, pos = { x = -8.044, y = -0.556, z = 236.683 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 26030, pos = { x = 7.924, y = -0.549, z = 244.122 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 26031, pos = { x = 3.363, y = -0.558, z = 232.388 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 26032, pos = { x = -3.889, y = -0.532, z = 247.310 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 26033, pos = { x = -0.574, y = -0.557, z = 244.670 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26034, pos = { x = 1.104, y = -0.557, z = 244.670 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26035, pos = { x = 2.912, y = -0.557, z = 244.670 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26036, pos = { x = 4.590, y = -0.557, z = 244.670 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26037, pos = { x = -4.479, y = -0.557, z = 244.670 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26038, pos = { x = -2.801, y = -0.557, z = 244.670 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26039, pos = { x = -2.494, y = -0.557, z = 242.741 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26040, pos = { x = -0.815, y = -0.557, z = 242.741 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26041, pos = { x = 0.992, y = -0.557, z = 242.741 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26042, pos = { x = 2.671, y = -0.557, z = 242.741 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 26043, pos = { x = -5.250, y = -0.608, z = 240.161 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 26001 },
		triggers = { "ENTER_REGION_26001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
